diff --git a/changelog b/changelog
index db96203..ba65b8f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20141211 tpd src/axiom-website/patches.html 20141211.01.tpd.patch
+20141211 tdp src/input/bug10312.input fix ** to ^ conversion
 20141210 tpd src/axiom-website/patches.html 20141210.01.tpd.patch
 20141210 tpd books/bookvol10.3 add UnivariateLaurentSeries tests
 20141209 tpd src/axiom-website/patches.html 20141209.05.tpd.patch
diff --git a/patch b/patch
index 517d919..2348a77 100644
--- a/patch
+++ b/patch
@@ -1,2 +1,4 @@
-books/bookvol10.3 add UnivariateLaurentSeries tests
+src/input/bug10312.input fix ** to ^ conversion
 
+^ macro expansion is not called in an explicit $ call form
+so the ** to ^ conversion is not valid.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index cb10912..c0ffb39 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4798,6 +4798,8 @@ buglist: bug 7270: integral comfused by branches<br/>
 buglist: bug 7271: Mistake in an example from book introduction<br/>
 <a href="patches/20141210.01.tpd.patch">20141210.01.tpd.patch</a>
 books/bookvol10.3 add UnivariateLaurentSeries tests<br/>
+<a href="patches/20141211.01.tpd.patch">20141211.01.tpd.patch</a>
+src/input/bug10312.input fix ** to ^ conversion<br/>
  </body>
 </html>
 
diff --git a/src/input/bug10312.input.pamphlet b/src/input/bug10312.input.pamphlet
index 4ffdd0e..a0b642b 100644
--- a/src/input/bug10312.input.pamphlet
+++ b/src/input/bug10312.input.pamphlet
@@ -32,7 +32,7 @@ p:=(1/2+n)::UTS(FRAC INT, 'n, 0)
 --E 1
 
 --S 2 of 2
-(p^(-1))$UTS(FRAC INT, 'n, 0)
+(p**(-1))$UTS(FRAC INT, 'n, 0)
 --R 
 --I   Compiling function G1473 with type Integer -> Boolean 
 --R
